Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#844 closed request (invalid)

adjust for API changes in GSL 2.0

Reported by: Peter Owned by: Peter
Priority: critical Milestone:
Component: statistics Version: trunk
Keywords: Cc:

Description

GSL is beta testing its next release, 2.0, and it seems like they have changed some API.

When linking yat against their beta testing release (gsl-1.99.90), regression.test fails with

running '/home/peterjohansson/src/yat/htslib/test/.libs/lt-regression.test' in 'test/testSubDir/lt-regression.test'
  testing regression
  testing regression::LinearWeighted
    testing unity weights equal to non-weighted version.
    testing rescaling weights.
    testing zero weights equal to missing value.
    comparing LinearWeighted and PolynomialWeighted(1)
gsl: multiwlinear.c:71: ERROR: size of workspace does not match size of observation matrix
Default GSL error handler invoked.
FAIL test/regression.test (exit status: 134)

Change History (2)

comment:1 Changed 6 years ago by Peter

Resolution: invalid
Status: newclosed

Not an API change but a regression in gsl_multifit_wlinear.

The bug was fixed in commit 56f4f44241966405830e7a476418a9e9b0e0aaa7 which was inclueed in GSL 2.1

comment:2 Changed 6 years ago by Peter

Milestone: yat 0.14
Note: See TracTickets for help on using tickets.